** Compiler Personality for g++ 3.0.2

* substitute headers

* gcc include directories, obtained with 'g++ -c -v test.cpp'

* CR 965: #include_next difficiency

* implicit macros, obtained with 'g++ -E -dM test.cpp'

* for some installations of g++ these implicit macros may not be included in 'g++ -E -dM test.cpp' output
-sd "__cplusplus"
-sd "__STDC__"
-sd "__STRICT_ANSI__"
-sd "_GNU_SOURCE"

* compiler implicit types
-it "ptrdiff_t=int"
-it "size_t=unsigned int"

* parsing extensions
-sdep+
-ptp-
-dpft+
-ifn-

* extension keywords
-SD "__attribute__=_ignore_paren"
-SD "__const=const"
-SD "__extension__="
-SD "__restrict="
-SD "__restrict__="
-SD "__inline__=inline"
-SD "__asm__=_ignore_paren"
-SD "asm=_ignore_paren"
-SD "__volatile__=volatile"
-SD "__complex__="
-SD "_Complex="
-SD "__real__="
-SD "__imag__="
-SD "__null=0"
-SD "__PRETTY_FUNCTION__=_PRL_STRINGIFY(__PRETTY_FUNCTION__)"

* workarounds
* variadic macro
-SD PRL_01

* long long
-SD PRL_02

* CR966: illegal qualified constructor declaration
-SD PRL_03

* CR967: missing template specification
-SD PRL_04

* CR966: missing template<> 
-SD PRL_05

* class used before it is defined
-SD PRL_06

* CR876: Error where partial spec has more arguments than primary
-SD PRL_08

* CR1003: semantic error on calling a destructor or a copy constructor for a template class with '* const' params
-SD PRL_09

* CR926: redundant implicit constructor causes ambiguous call\redefinition error
-SD PRL_10
